org.apache.ivy.core.event.download

## Class EndArtifactDownloadEvent

- java.lang.Object
- - org.apache.ivy.core.event.IvyEvent
  - - org.apache.ivy.core.event.download.DownloadEvent
    - - org.apache.ivy.core.event.download.EndArtifactDownloadEvent

    public class EndArtifactDownloadEvent
    extends DownloadEvent

### Field Summary

Fields
`static java.lang.String` `NAME`

### Constructor Summary

Constructors
Constructor and Description
`EndArtifactDownloadEvent(DependencyResolver resolver, Artifact artifact, ArtifactDownloadReport report, java.io.File dest)`

### Method Summary

Methods
`ArtifactDownloadReport` `getReport()`
`DependencyResolver` `getResolver()`

### Methods inherited from class org.apache.ivy.core.event.download.DownloadEvent

`addArtifactAttributes, getArtifact`

### Methods inherited from class org.apache.ivy.core.event.IvyEvent

`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### EndArtifactDownloadEvent

    public EndArtifactDownloadEvent(DependencyResolver resolver,
                            Artifact artifact,
                            ArtifactDownloadReport report,
                            java.io.File dest)

### Method Detail

#### getReport

    public ArtifactDownloadReport getReport()

#### getResolver

    public DependencyResolver getResolver()